### Method

# Camel MessageInfo property_lock

since: 3.24

#### Declaration [src]

    void
    camel_message_info_property_lock (
      const CamelMessageInfo* mi
    )

#### Description [src]

Acquires a property lock, which is used to ensure thread safety when properties are changing. Release the lock with camel_message_info_property_unlock().

Note: Make sure the CamelFolderSummary lock is held before this lock, if there will be called any ‘set’ function on the `mi`, to avoid deadlock when the summary would be set as dirty while another thread might try to read values from the `mi`, waiting for the property lock and holding the summary lock at the same time.

Available since: 3.24